%define name            tetex-xdvik
%define pkgname         teTeX
%define version         1.0.7
%define pkgversion      1.0
%define release         30mdk
%define xdvikt1version	22.40c

Summary:	An X viewer for DVI files
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Publishing

Source0:	ftp://ftp.dante.de/pub/tex/dviware/xdvik/xdvik-%{xdvikt1version}.tar.bz2
Source4:	icons-xdvi.tar.bz2

URL:		http://www.tug.org/teTeX/
Packager:	Giuseppe Ghib <ghibo@mandrakesoft.com>
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	tetex /usr/bin/env, /sbin/install-info, /usr/bin/texhash
Conflicts:	tetex-xdvi
Prereq:		/sbin/install-info
BuildRequires:	ed, flex, bison, zlib-devel, libpng-devel, XFree86-devel, ncurses-devel, spec-helper
%description
Xdvik allows you to preview the TeX text formatting system's output .dvi
files on an X Window System.

If you are installing teTeX, so that you can use the TeX text formatting    
system, you will also need to install tetex-xdvik.  In addition, you will
need to install tetex-afm (a PostScript font converter for TeX),
tetex-dvilj (for converting .dvi files to HP PCL format for printing on
HP and HP compatible printers), tetex-dvips (for converting .dvi files to
PostScript format for printing on PostScript printers), and tetex-latex
(a higher level formatting package which provides an easier-to-use
interface for TeX).  If you're not a TeX expert, you'll probably also
want to install the tetex-doc package, which contains documentation for
the TeX text formatting system.

With respect to standard tetex-xdvi, this xdvik version supports Type 1 font
rendering (so it doesn't have to  generate .pk fonts on the fly) and
"Source Special Commands".

%prep
%setup -q -n xdvik-%{xdvikt1version}

%build
sh ./reautoconf
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{_prefix} \
	--without-oxdvik \
	--enable-a4 \
	--datadir=%{_datadir} \
	--mandir=%{_mandir} --infodir=%{_infodir} \
	%{_target_cpu}-mandrake-linux
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/texmf/xdvi
(cd texk
make install prefix=$RPM_BUILD_ROOT/usr \
	texmf=$RPM_BUILD_ROOT%{_datadir}/texmf \
	mandir=$RPM_BUILD_ROOT%{_mandir} \
	infodir=$RPM_BUILD_ROOT%{_infodir})

(cd texk/xdvik/texmf
cp -p * $RPM_BUILD_ROOT%{_datadir}/texmf/xdvi)

# move the man pages in the correct location
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mv $RPM_BUILD_ROOT%{_mandir}/*.1* $RPM_BUILD_ROOT%{_mandir}/man1

# xdvi menu things
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/tetex-xdvik <<EOF
?package(tetex-xdvik): command="%{_bindir}/xdvi" needs="X11" \
icon="dvi.xpm" section="Applications/Publishing" title="XDvi" \
longtitle="DVI files viewer"
EOF

# mdk icons
install -d $RPM_BUILD_ROOT%{_iconsdir}
tar xjvf %{SOURCE4} -C $RPM_BUILD_ROOT%{_iconsdir}

%clean
rm -rf $RPM_BUILD_ROOT

# make sure ls-R used by teTeX is updated after an install
%post
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
%{update_menus}
exit 0

%postun
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
%{clean_menus}
exit 0

%files
%defattr(-,root,root)
%{_bindir}/xdvi
%{_bindir}/xdvi.bin
%{_menudir}/tetex-xdvik
%{_iconsdir}/*
%{_mandir}/man1/xdvi.*
%{_datadir}/texmf/xdvi

%changelog
* Mon Sep 03 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0.7-30mdk
- initial release.
